profiler_map_to_unordered_map.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_profile::__map2umap_info
class | __gnu_profile::__map2umap_stack_info
class | __gnu_profile::__trace_map2umap

## Namespaces

namespace | __gnu_profile

## Functions

int | __gnu_profile::__log2 (std::size_t __size)
float | __gnu_profile::__map_erase_cost (std::size_t __size)
float | __gnu_profile::__map_find_cost (std::size_t __size)
float | __gnu_profile::__map_insert_cost (std::size_t __size)
void | __gnu_profile::__trace_map_to_unordered_map_construct (const void *)
void | __gnu_profile::__trace_map_to_unordered_map_destruct (const void *)
void | __gnu_profile::__trace_map_to_unordered_map_erase (const void *, std::size_t, std::size_t)
void | __gnu_profile::__trace_map_to_unordered_map_find (const void *, std::size_t)
void | __gnu_profile::__trace_map_to_unordered_map_init ()
void | __gnu_profile::__trace_map_to_unordered_map_insert (const void *, std::size_t, std::size_t)
void | __gnu_profile::__trace_map_to_unordered_map_invalidate (const void *)
void | __gnu_profile::__trace_map_to_unordered_map_iterate (const void *, std::size_t)
void | __gnu_profile::__trace_map_to_unordered_map_report (FILE *__f, __warning_vector_t &__warnings)

## Detailed Description

Diagnostics for map to unordered_map.

Definition in file profiler_map_to_unordered_map.h.